Subject: Re: [PULL] git-svn updates for master

From: Junio C Hamano <[email-masked]>
Date: Thu, 26 Feb 2015 14:06:13 -0800

Eric Wong <[email-masked]> writes:

> Hi Junio, mainly bugfixes but a tiny amount of progress on lazy-loading.
> The bugfixes from Kyle and Ryuichi should also be applied to maint.

I think you mean "cherry-picked".  Let me try to rearrange them by
doing the following:

0. Grab your stuff.

    $ git fetch git://bogomips.org/git-svn.git master

1. Queue two fixes for maint-2.2

    $ git checkout -b svn-maint-fixes maint-2.2
    $ git cherry-pick -s -2 FETCH_HEAD

2. Queue the other one for master, together with the other two

    $ git co -b svn-fixes FETCH_HEAD~2
    $ git merge --no-edit svn-maint-fixes

3. Make sure I got that right by comparing with yours

    $ git diff FETCH_HEAD
    ... no output ...

Then I'll merge svn-fixes to my 'master' and hopefully we can later
merge svn-maint-fixes to 'maint' and 'maint-2.2'.

Thanks.    

> Thanks.
>
> The following changes since commit 7f4ba4b6e3ba7075ca6b379ba23fd3088cbe69a8:
>
>   Post 2.3 cyle (batch #5) (2015-02-25 15:44:04 -0800)
>
> are available in the git repository at:
>
>   git://bogomips.org/git-svn.git master
>
> for you to fetch changes up to e0b4cad4fd77e4cd787c3ed26e7650fc4de8bcd2:
>
>   Git::SVN::*: avoid premature FileHandle closure (2015-02-26 20:19:41 +0000)
>
> ----------------------------------------------------------------
> Eric Wong (1):
>       git-svn: lazy load some modules
>
> Kyle J. McKay (1):
>       Git::SVN::*: avoid premature FileHandle closure
>
> Ryuichi Kokubo (1):
>       git-svn: fix localtime=true on non-glibc environments
>
>  git-svn.perl            | 13 +++++++------
>  perl/Git/SVN.pm         | 25 +++++++++++++++----------
>  perl/Git/SVN/Editor.pm  |  3 +--
>  perl/Git/SVN/Fetcher.pm | 11 +++++++++--
>  perl/Git/SVN/Ra.pm      |  8 +++++++-
>  5 files changed, 39 insertions(+), 21 deletions(-)